#
# spec file for package 
#
# Copyright (c) 2023 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rsgain
Version:        3.3
Release:        150400.4.pm.4
License:        custom
Summary:        ReplayGain 2.0 loudness normalizer
Url:            https://www.archlinux.org/packages/community/x86_64/xbmc/
Group:          System/Base
Source0:        %{name}-%{version}-source.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc12-c++
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  libtag-devel
BuildRequires:  libebur128-devel
BuildRequires:  libinih-devel
BuildRequires:  fmt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A modern ReplayGain 2.0 loudness normalizer utility

%prep
%setup -q

%build
%cmake \
 -DCMAKE_CXX_COMPILER='/usr/bin/g++-12' \
 -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/presets
%{_bindir}/rsgain
%{_datadir}/%{name}/presets/default.ini
%{_datadir}/%{name}/presets/ebur128.ini
%{_datadir}/%{name}/presets/loudgain.ini
%{_datadir}/%{name}/presets/no_album.ini

%changelog
* Mon Jul  3 2023 Philipp Seiler <p.seiler@linuxmail.org>
- removed compiler flags that didn't work for now. Will be properly fixed
  later
* Mon Jul  3 2023 Philipp Seiler <p.seiler@linuxmail.org>
- added optflags to CMake call for -fpie
* Mon Jul  3 2023 Philipp Seiler <p.seiler@linuxmail.org>
- made package compatible with Tumbleweed (added directories to file section)
* Mon Jul  3 2023 Philipp Seiler <p.seiler@linuxmail.org>
- initial commit
